commit: 4409bf1c86d7f56a5c34315df3a16d7fed55e2dc
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 19 07:03:14 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jul 19 07:03:14 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4409bf1c
dev-python/pyspelling: Bump to 2.8.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pyspelling/Manifest | 1 +
dev-python/pyspelling/pyspelling-2.8.1.ebuild | 63 +++++++++++++++++++++++++++
2 files changed, 64 insertions(+)
diff --git a/dev-python/pyspelling/Manifest b/dev-python/pyspelling/Manifest
index 5ff63d1111c7..1d761802f7da 100644
--- a/dev-python/pyspelling/Manifest
+++ b/dev-python/pyspelling/Manifest
@@ -1 +1,2 @@
DIST pyspelling-2.7.3.tar.gz 151244 BLAKE2B
bdfb40c6f39dc5adcc31691ef75b2582e78e8d0ed800ef0e263f8f98987ce3911650cb08085315c617c185e6ef183a11508fde4608349d0dad435b9f4fe1da98
SHA512
6903b620993933e80dfef320c0218c6372ee37f1db958b489d273aca24dd91bcc86fd12967848b8e31c2d7d458fb5fbfb521f41328c5955a1914f7d552ae7341
+DIST pyspelling-2.8.1.gh.tar.gz 150813 BLAKE2B
53df7ae453180007af08fe3928274f9a468f7d24cc5f00b85efbda0febe9532f7b57805b54c2e28c3580e34de383a249bb293b1f89905d2b09c1a70853d12fd3
SHA512
24e9b03b3f5c911e2cd32a5594813fad5fce3fe5cc8c570fdaf4a025aebe8d02d2b77542d6e940cb03350df3203f1a9961a3f446fd60d66250a3cff7c54534de
diff --git a/dev-python/pyspelling/pyspelling-2.8.1.ebuild
b/dev-python/pyspelling/pyspelling-2.8.1.ebuild
new file mode 100644
index 000000000000..f28ee2f060ea
--- /dev/null
+++ b/dev-python/pyspelling/pyspelling-2.8.1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+DISTUTILS_USE_PEP517=hatchling
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ >=dev-python/mkdocs_pymdownx_material_extras-2.1
+ dev-python/mkdocs-git-revision-date-localized-plugin
+ dev-python/mkdocs-minify-plugin
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="Spell checker automation tool"
+HOMEPAGE="
+ https://github.com/facelessuser/pyspelling/
+ https://pypi.org/project/pyspelling/
+"
+SRC_URI="
+ https://github.com/facelessuser/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+RDEPEND="
+ || ( app-text/aspell app-text/hunspell )
+
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/markdown[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/soupsieve-1.8[${PYTHON_USEDEP}]
+ >=dev-python/wcmatch-6.0.3[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-vcs/git
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # mkdocs-git-revision-date-localized-plugin needs git repo
+ if use doc; then
+ git init || die
+ git config --global user.email "[email protected]" || die
+ git config --global user.name "Your Name" || die
+ git add . || die
+ git commit -m 'init' || die
+ fi
+
+ distutils-r1_python_prepare_all
+}